## frr-3.0.3.tar.gz

=== snapcraft/scripts/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/bin
	install -D -m 0755 zebra-service $(DESTDIR)/bin/
	install -D -m 0755 bgpd-service $(DESTDIR)/bin/
	install -D -m 0755 ospfd-service $(DESTDIR)/bin/
	install -D -m 0755 ospf6d-service $(DESTDIR)/bin/
	install -D -m 0755 ripd-service $(DESTDIR)/bin/
	install -D -m 0755 ripngd-service $(DESTDIR)/bin/
	install -D -m 0755 isisd-service $(DESTDIR)/bin/
	install -D -m 0755 pimd-service $(DESTDIR)/bin/
	install -D -m 0755 ldpd-service $(DESTDIR)/bin/
	install -D -m 0755 nhrpd-service $(DESTDIR)/bin/
	install -D -m 0755 set-options $(DESTDIR)/bin/
	install -D -m 0755 show_version $(DESTDIR)/bin/

=== debianpkg/backports/ubuntu12.04/debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Nobody <nobody@frrouting.org>
Uploaders: Nobody <nobody@frrouting.org>
XSBC-Original-Maintainer: <maintainers@frrouting.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, git, dh-autoreconf, libjson0, libjson0-dev, pkg-config, python (>= 2.7), python-ipaddr
Standards-Version: 3.9.6
Homepage: http://www.frrouting.org/
XS-Testsuite: autopkgtest

Package: frr
Architecture: any
Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), ${misc:Depends}
Pre-Depends: adduser
Conflicts: zebra, zebra-pj
Replaces: zebra, zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon forked from Quagga
 FRR is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, RIPng,
 PIM and LDP as well as the IPv6 versions of these.
 .
 FRR is a fork of Quagga with an open community model. The main git
 lives on https://github.com/frrouting/frr.git

Package: frr-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, frr (= ${binary:Version})
Priority: extra
Section: debug
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built 
 from frr source package. It's highly recommended to have this package
 installed before reporting any FRR crashes to either FRR developers or 
 Debian package maintainers.

Package: frr-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: frr
Description: documentation files for FRR
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

Package: frr-pythontools
Section: net
Architecture: all
Depends: ${misc:Depends}, frr (= ${binary:Version}), python (>= 2.7), python-ipaddr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (Python Tools)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

=== debianpkg/backports/ubuntu14.04/debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Nobody <nobody@frrouting.org>
Uploaders: Nobody <nobody@frrouting.org>
XSBC-Original-Maintainer: <maintainers@frrouting.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, git, dh-autoreconf, libjson-c-dev, libjson-c2, pkg-config, python (>= 2.7), python-ipaddr
Standards-Version: 3.9.6
Homepage: http://www.frrouting.org/
XS-Testsuite: autopkgtest

Package: frr
Architecture: any
Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), ${misc:Depends}
Pre-Depends: adduser
Conflicts: zebra, zebra-pj
Replaces: zebra, zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon forked from Quagga
 FRR is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, RIPng,
 PIM and LDP as well as the IPv6 versions of these.
 .
 FRR is a fork of Quagga with an open community model. The main git
 lives on https://github.com/frrouting/frr.git

Package: frr-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, frr (= ${binary:Version})
Priority: extra
Section: debug
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built 
 from frr source package. It's highly recommended to have this package
 installed before reporting any FRR crashes to either FRR developers or 
 Debian package maintainers.

Package: frr-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: frr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (documentation)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

Package: frr-pythontools
Section: net
Architecture: all
Depends: ${misc:Depends}, frr (= ${binary:Version}), python (>= 2.7), python-ipaddr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (Python Tools)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

=== debianpkg/backports/ubuntu17.10/debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Nobody <nobody@frrouting.org>
Uploaders: Nobody <nobody@frrouting.org>
XSBC-Original-Maintainer: <maintainers@frrouting.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, git, dh-autoreconf, libjson-c-dev, libjson-c2 | libjson-c3, dh-systemd, libsystemd-dev, bison, flex, libc-ares-dev, pkg-config, python (>= 2.7), python-ipaddr
Standards-Version: 3.9.6
Homepage: http://www.frrouting.org/

Package: frr
Architecture: any
Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), iproute2 | iproute, ${misc:Depends}, libc-ares2
Pre-Depends: adduser
Conflicts: zebra, zebra-pj, quagga
Replaces: zebra, zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon forked from Quagga
 FRR is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, RIPng,
 PIM and LDP as well as the IPv6 versions of these.
 .
 FRR is a fork of Quagga with an open community model. The main git
 lives on https://github.com/frrouting/frr.git

Package: frr-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, frr (= ${binary:Version})
Priority: optional
Section: debug
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built
 from frr source package. It's highly recommended to have this package
 installed before reporting any FRR crashes to either FRR developers or
 Debian package maintainers.

Package: frr-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: frr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (documentation)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

Package: frr-pythontools
Section: net
Architecture: all
Depends: ${misc:Depends}, frr (= ${binary:Version}), python (>= 2.7), python-ipaddr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (Python Tools)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

=== debianpkg/backports/ubuntu12.04/debian/rules ===
#!/usr/bin/make -f

# FRRouting Configuration options
######################################
#
#    WANT_xxxx   --> Set to 1 for enable, 0 for disable
# The following are the defaults. They can be overridden by setting a 
# env variable to a different value
#
#   export WANT_LDP=1
#   export WANT_PIM=1
#   export WANT_OSPFAPI=1
#   export WANT_TCP_ZEBRA=0
#   export WANT_BGP_VNC=0
#   export WANT_CUMULUS_MODE=0
#   export WANT_MULTIPATH=1
#
# If multipath is enabled (WANT_MULTIPATH=1), then set number of multipaths here
# Please be aware that 0 is NOT disabled, but treated as unlimited
#   export MULTIPATH=256
#
# Set the following to the value required (or leave undefined for the default below)
# WANT_FRR_USER is used for the username and groupname of the FRR user account
#   export WANT_FRR_USER=frr
#   export WANT_FRR_VTY_GROUP=frrvty
#
####################################

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_OPTIONS=-v

ifeq ($(WANT_SNMP), 1)
  USE_SNMP=--enable-snmp
  $(warning "DEBIAN: SNMP enabled, sorry for your inconvenience")
else
  $(warning "DEBIAN: SNMP disabled, see README.Debian")
endif

ifneq ($(WANT_LDP), 0)
  USE_LDP=--enable-ldpd
else
  USE_LDP=--disable-ldpd
endif

ifneq ($(WANT_PIM), 0)
  USE_PIM=--enable-pimd
else
  USE_PIM=--disable-pimd
endif

ifneq ($(WANT_OSPFAPI), 0)
  USE_OSPFAPI=--enable-ospfapi=yes
else
  USE_OSPFAPI=--enable-ospfapi=no
endif

ifeq ($(WANT_TCP_ZEBRA),1)
  USE_TCP_ZEBRA=--enable-tcp-zebra
endif

ifneq ($(WANT_BGP_VNC), 0)
  USE_BGP_VNC=--enable-bgp-vnc=yes
else
  USE_BGP_VNC=--enable-bgp-vnc=no
endif

ifndef WANT_FRR_USER
  USE_FRR_USER=--enable-user=frr
  USE_FRR_GROUP=--enable-group=frr
else
  USE_FRR_USER=$(WANT_FRR_USER)
  USE_FRR_GROUP=$(WANT_FRR_USER)
endif

ifndef WANT_FRR_VTY_GROUP
  USE_FRR_VTY_GROUP=--enable-vty-group=frrvty
else
  USE_FRR_VTY_GROUP=--enable-vty-group=$(WANT_FRR_VTY_GROUP)
endif

ifneq ($(WANT_MULTIPATH), 0)
  ifdef MULTIPATH
    USE_MULTIPATH=--enable-multipath=$(MULTIPATH)
  else
    USE_MULTIPATH=--enable-multipath=256
  endif
else
  USE_MULTIPATH=--disable-multipath
endif

ifeq ($(WANT_CUMULUS_NODE), 1)
  USE_CUMULUS=--enable-cumulus=yes
else
  USE_CUMULUS=--enable-cumulus=no
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifdef DEBIAN_JOBS
MAKEFLAGS += -j$(DEBIAN_JOBS)
endif

%:
	dh $@ --with=autoreconf --parallel --dbg-package=frr-dbg --list-missing

override_dh_auto_configure:
	# Frr needs /proc to check some BSD vs Linux specific stuff.
	# Else it fails with an obscure error message pointing out that
	# IPCTL_FORWARDING is an undefined symbol which is not very helpful.
	@if ! [ -d /proc/1 ]; then \
		echo "./configure needs a mounted /proc"; \
		exit 1; \
	fi

	if ! [ -e config.status ]; then \
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/frr/examples/ \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		$(USE_SNMP) \
		$(USE_OSPFAPI) \
		$(USE_MULTIPATH) \
		$(USE_LDP) \
		$(USE_TCP_ZEBRA) \
		--enable-fpm \
		$(USE_FRR_USER) $(USE_FRR_GROUP) \
		$(USE_FRR_VTY_GROUP) \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		--with-libpam \
		--enable-systemd=no \
		--enable-poll=yes \
		$(USE_CUMULUS) \
		$(USE_PIM) \
		--enable-dependency-tracking \
		$(USE_BGP_VNC) \
		$(shell dpkg-buildflags --export=configure); \
	fi

override_dh_auto_build:
	#dh_auto_build
	$(MAKE)
	dh_auto_build -- -C doc draft-zebra-00.txt


	# doc/ is a bit crazy
ifeq ($(GENERATE_PDF), 1)
	dh_auto_build -- -C doc frr.pdf || true # pdfetex fails with exit code 1 but still produces a good looking .pdf
endif
	rm -vf doc/frr.info
	dh_auto_build -- -C doc frr.info
	rm -vf doc/frr.info.html*

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	# installed in frr-pythontools
	rm debian/tmp/usr/lib/frr/frr-reload.py

	# cleaning up the info dir
	rm -f debian/tmp/usr/share/info/dir*

	# install config files
	mkdir -p debian/tmp/etc/frr/
	perl -pi -e 's#^!log file #!log file /var/log/frr/#' debian/tmp/usr/share/doc/frr/examples/*sample*

	# installing the Frr specific SNMP MIB
	install -D -m 644 ./zebra/GNOME-PRODUCT-ZEBRA-MIB debian/tmp/usr/share/snmp/mibs/GNOME-PRODUCT-ZEBRA-MIB

	# cleaning .la files
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/*.la
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/frr/modules/*.la

=== debianpkg/backports/ubuntu14.04/debian/rules ===
#!/usr/bin/make -f

# FRRouting Configuration options
######################################
#
#    WANT_xxxx   --> Set to 1 for enable, 0 for disable
# The following are the defaults. They can be overridden by setting a 
# env variable to a different value
#
#   export WANT_LDP=1
#   export WANT_PIM=1
#   export WANT_OSPFAPI=1
#   export WANT_TCP_ZEBRA=0
#   export WANT_BGP_VNC=0
#   export WANT_CUMULUS_MODE=0
#   export WANT_MULTIPATH=1
#
# If multipath is enabled (WANT_MULTIPATH=1), then set number of multipaths here
# Please be aware that 0 is NOT disabled, but treated as unlimited
#   export MULTIPATH=256
#
# Set the following to the value required (or leave undefined for the default below)
# WANT_FRR_USER is used for the username and groupname of the FRR user account
#   export WANT_FRR_USER=frr
#   export WANT_FRR_VTY_GROUP=frrvty
#
####################################

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_OPTIONS=-v

ifeq ($(WANT_SNMP), 1)
  USE_SNMP=--enable-snmp
  $(warning "DEBIAN: SNMP enabled, sorry for your inconvenience")
else
  $(warning "DEBIAN: SNMP disabled, see README.Debian")
endif

ifneq ($(WANT_LDP), 0)
  USE_LDP=--enable-ldpd
else
  USE_LDP=--disable-ldpd
endif

ifneq ($(WANT_PIM), 0)
  USE_PIM=--enable-pimd
else
  USE_PIM=--disable-pimd
endif

ifneq ($(WANT_OSPFAPI), 0)
  USE_OSPFAPI=--enable-ospfapi=yes
else
  USE_OSPFAPI=--enable-ospfapi=no
endif

ifeq ($(WANT_TCP_ZEBRA),1)
  USE_TCP_ZEBRA=--enable-tcp-zebra
endif

ifneq ($(WANT_BGP_VNC), 0)
  USE_BGP_VNC=--enable-bgp-vnc=yes
else
  USE_BGP_VNC=--enable-bgp-vnc=no
endif

ifndef WANT_FRR_USER
  USE_FRR_USER=--enable-user=frr
  USE_FRR_GROUP=--enable-group=frr
else
  USE_FRR_USER=$(WANT_FRR_USER)
  USE_FRR_GROUP=$(WANT_FRR_USER)
endif

ifndef WANT_FRR_VTY_GROUP
  USE_FRR_VTY_GROUP=--enable-vty-group=frrvty
else
  USE_FRR_VTY_GROUP=--enable-vty-group=$(WANT_FRR_VTY_GROUP)
endif

ifneq ($(WANT_MULTIPATH), 0)
  ifdef MULTIPATH
    USE_MULTIPATH=--enable-multipath=$(MULTIPATH)
  else
    USE_MULTIPATH=--enable-multipath=256
  endif
else
  USE_MULTIPATH=--disable-multipath
endif

ifeq ($(WANT_CUMULUS_NODE), 1)
  USE_CUMULUS=--enable-cumulus=yes
else
  USE_CUMULUS=--enable-cumulus=no
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifdef DEBIAN_JOBS
MAKEFLAGS += -j$(DEBIAN_JOBS)
endif

%:
	dh $@ --with=autoreconf --parallel --dbg-package=frr-dbg --list-missing

override_dh_auto_configure:
	# Frr needs /proc to check some BSD vs Linux specific stuff.
	# Else it fails with an obscure error message pointing out that
	# IPCTL_FORWARDING is an undefined symbol which is not very helpful.
	@if ! [ -d /proc/1 ]; then \
		echo "./configure needs a mounted /proc"; \
		exit 1; \
	fi

	if ! [ -e config.status ]; then \
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/frr/examples/ \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		$(USE_SNMP) \
		$(USE_OSPFAPI) \
		$(USE_MULTIPATH) \
		$(USE_LDP) \
		$(USE_TCP_ZEBRA) \
		--enable-fpm \
		$(USE_FRR_USER) $(USE_FRR_GROUP) \
		$(USE_FRR_VTY_GROUP) \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		--with-libpam \
		--enable-systemd=no \
		--enable-poll=yes \
		$(USE_CUMULUS) \
		$(USE_PIM) \
		--enable-dependency-tracking \
		$(USE_BGP_VNC) \
		$(shell dpkg-buildflags --export=configure); \
	fi

override_dh_auto_build:
	#dh_auto_build
	$(MAKE)
	dh_auto_build -- -C doc draft-zebra-00.txt


	# doc/ is a bit crazy
ifeq ($(GENERATE_PDF), 1)
	dh_auto_build -- -C doc frr.pdf || true # pdfetex fails with exit code 1 but still produces a good looking .pdf
endif
	rm -vf doc/frr.info
	dh_auto_build -- -C doc frr.info
	rm -vf doc/frr.info.html*

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	# installed in frr-pythontools
	rm debian/tmp/usr/lib/frr/frr-reload.py

	# cleaning up the info dir
	rm -f debian/tmp/usr/share/info/dir*

	# install config files
	mkdir -p debian/tmp/etc/frr/
	perl -pi -e 's#^!log file #!log file /var/log/frr/#' debian/tmp/usr/share/doc/frr/examples/*sample*

	# installing the Frr specific SNMP MIB
	install -D -m 644 ./zebra/GNOME-PRODUCT-ZEBRA-MIB debian/tmp/usr/share/snmp/mibs/GNOME-PRODUCT-ZEBRA-MIB

	# cleaning .la files
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/*.la
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/frr/modules/*.la

override_dh_systemd_start:
	dh_systemd_start frr.service

override_dh_systemd_enable:
	dh_systemd_enable frr.service
